Bug 220638 - devel/rubygem-sprockets: missing dependency (hike [~> 1.2])
Summary: devel/rubygem-sprockets: missing dependency (hike [~> 1.2])
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks: 220605
  Show dependency treegraph
 
Reported: 2017-07-11 16:21 UTC by Nikolai Lifanov
Modified: 2017-08-07 10:20 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov freebsd_committer 2017-07-11 16:21:47 UTC
The gemspec lists hike [~> 1.2] as a dependency, which is missing.
This gem will fail at runtime.
Comment 1 Steve Wills freebsd_committer 2017-07-11 21:20:21 UTC
The rubygem-sprockets port is out of date, maybe updating it is blocked on something?
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-07-15 19:44:20 UTC
sprockets 2.12.4 is only required by 2 ports:
- devel/rubygem-sprockets-sass: added by zi@, no dependent port
- www/rubygem-dashing: maintained by tj@, no dependent port

I think it's OK to
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-07-15 19:55:14 UTC
I accidentally hit enter.

devel/rubygem-sprockets-sass can be updated to 2.0.0.beta2 which has experimental sprockets 3.x support.
www/rubygem-dashing is no longer maintained [1].

But I suggest removing the 2 ports unless someone needs them.
After that, we could update sprockets to latest version (3.7.1), change all dependent ports from rubygem-sprockets3 to rubygem-sprockets, and remove rubygem-sprockets3.

[1] http://dashing.io/
Comment 4 Nikolai Lifanov freebsd_committer 2017-08-03 14:23:11 UTC
Since rubygem-sprockets doesn't work right now, my guess is that it's safe to assume that there are no uses of the other two.
Comment 5 commit-hook freebsd_committer 2017-08-07 10:14:17 UTC
A commit references this bug:

Author: tz
Date: Mon Aug  7 10:14:09 UTC 2017
New revision: 447487
URL: https://svnweb.freebsd.org/changeset/ports/447487

Log:
  Repo-copy devel/rubygem-hike to devel/rubygem-hike1
  and fix devel/rubygem-sprockets with it.

  PR: 220638

Changes:
  head/devel/Makefile
  head/devel/rubygem-hike1/
  head/devel/rubygem-hike1/Makefile
  head/devel/rubygem-sprockets/Makefile
Comment 6 Torsten Zuehlsdorff freebsd_committer 2017-08-07 10:20:53 UTC
(In reply to Nikolai Lifanov from comment #4)

> Since rubygem-sprockets doesn't work right now, 
> my guess is that it's safe to assume that there are no uses of the other two.

Not really. Many users with ports depending on rubygem-* ports have learned, that updates are bad, because thinks broke regular. There was no possibility to check if a port works until you actually use it. Therefore many user do not update rubygem-* ports whenever they have a working installation.

I took the freedom to fix this port.